<?php
defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

defined('USER_INFO_TRACKING_ID') or define('USER_INFO_TRACKING_ID', basename(dirname(__FILE__)));
include_once(PHPWG_PLUGINS_PATH . USER_INFO_TRACKING_ID . '/include/install.inc.php');

/**
 * plugin installation
 *
 * perform here all needed step for the plugin installation
 * such as create default config, add database tables, 
 * add fields to existing tables, create local folders...
 */
function plugin_install() 
{
  user_info_tracking_install();
  define('user_info_tracking_installed', true);
}

/**
 * plugin activation
 *
 * this function is triggered adter installation, by manual activation
 * or after a plugin update
 * for this last case you must manage updates tasks of your plugin in this function
 */
function plugin_activate()
{
  if (!defined('user_info_tracking_installed')) // a plugin is activated just after its installation
  {
    user_info_tracking_install();

 
//This is in here just for now.  When I am done coding I will remove it.  
     $user_info_tracking_default_config = serialize(array(
      'uiPerPage' => 25,
      'uiDefaultSortColumn' => timeStamp,
      'uiDefaultSortOrder' => ASC,
      'uiDateFormat' => '%c',
      ));
  
    conf_update_param('user_info_tracking', $user_info_tracking_default_config);
    $conf['user_info_tracking'] = $user_info_tracking_default_config;
// End of Additional Code


  }
}

/**
 * plugin unactivation
 *
 * triggered before uninstallation or by manual unactivation
 */
function plugin_unactivate()
{
}

/**
 * plugin uninstallation
 *
 * perform here all cleaning tasks when the plugin is removed
 * you should revert all changes made by plugin_install()
 */
function plugin_uninstall() 
{
  global $prefixeTable;
  
  // delete configuration
  pwg_query('DELETE FROM `'. CONFIG_TABLE .'` WHERE param = "user_info_tracking" LIMIT 1;');
  
  // delete table
  pwg_query('DROP TABLE `'. $prefixeTable .'user_info_tracking`;');
  
  // delete field
  pwg_query('ALTER `'. IMAGES_TABLE .'` DROP "user_info_tracking";');
  
  // delete local folder
  $dir = PWG_LOCAL_DIR . 'user_info_tracking/';
  foreach (scandir($dir) as $file)
  {
    if ($file == '.' or $file == '..') continue;
    unlink($dir.$file);
  }
  rmdir($dir);
}

?>